import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

const width = 960;
const height = 500;

const App = () => {
  const data = useData();
/* before data is popu;ated */
  if (!data) {
    return <pre>Loading...world map</pre>;
  }
/* after data is populated */
  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
